//Copyright Monogram (Grant & Union) 2021
#include "MonogramAction.h"
#include "Runtime/Core/Public/Async/Async.h"

UMonogramAction::Operation UMonogramAction::ParseOperation(const FString& str) {
	if (str == "+")
	{
		return UMonogramAction::Operation::ADJUST;
	}
	else if (str == "=")
	{
		return UMonogramAction::Operation::SET;
	}
	else {
		return UMonogramAction::Operation::DO;
	}
}


void UMonogramAction::Run(FName Command, Operation Operation, float Value)
{
	AsyncTask(ENamedThreads::GameThread, [=]() { this->Handle(Command, Operation, Value); });
}
