//Copyright Monogram (Grant & Union) 2021
#include "Actions/PlaySequencer.h"
#include "Editor/Sequencer/Public/SequencerCommands.h"

void UPlaySequencer::Handle(FName Command, Operation Operation, float Value)
{
	const FSequencerCommands& Commands = FSequencerCommands::Get();

	this->GetSequencer()->GetCommandBindings()->ExecuteAction(Commands.TogglePlay.ToSharedRef());
	this->GetSequencer()->NotifyMovieSceneDataChanged(EMovieSceneDataChangeType::TrackValueChangedRefreshImmediately);
}
