//Copyright Monogram (Grant & Union) 2021
#include "EditorAction.h"
#include "MonogramTransactionAggrigator.h"
#include "Runtime/Core/Public/Async/Async.h"

void UEditorAction::PreAction(AActor* ModifiedActor) {
	MonogramTransactionManager* aggrigator = MonogramTransactionManager::getAggrigator();
	if (aggrigator)
	{
		aggrigator->preAction(ModifiedActor);
	}
}

void UEditorAction::PostAction(AActor* ModifiedActor) {
	MonogramTransactionManager* aggrigator = MonogramTransactionManager::getAggrigator();
	if (aggrigator)
	{
		aggrigator->postAction(ModifiedActor);
	}
}