//Copyright Monogram (Grant & Union) 2021
#pragma once

#include "EditorAction.h"

#include "LightColor.generated.h"

namespace ColorComponent {
	enum ComponentType { none, red, green, blue, alpha, hue, saturation, Value, temp };
}

UCLASS()
class ULightColor : public UEditorAction {
	GENERATED_BODY()
public:
	virtual FName Name() override { return TEXT("lightColor"); }
	virtual void Handle(FName Command, Operation Operation, float Value) override;
};
