//Copyright Monogram (Grant & Union) 2021
#pragma once
#include "MonogramCore/Public/MonogramAction.h"
#include "Runtime/Launch/Resources/Version.h"
#include "EditorAction.generated.h"

#if (ENGINE_MAJOR_VERSION == 4) && (ENGINE_MINOR_VERSION < 25)
typedef UProperty FProperty;
#endif

UCLASS()
class UEditorAction : public UMonogramAction
{
	GENERATED_BODY()
public:
	virtual void PreAction(AActor* ModifiedActor);
	virtual void PostAction(AActor* ModifiedActor);
};