//Copyright Monogram (Grant & Union) 2021
#pragma once

#include "MonogramAction.generated.h"

UCLASS(Abstract)
class MONOGRAMCORE_API UMonogramAction : public UObject
{
	GENERATED_BODY()
public:
	enum class Operation {
		DO,
		ADJUST,
		SET
	};
	static Operation ParseOperation(const FString& str);
	virtual FName Name() { return FName(TEXT("")); }
	virtual void Handle(FName Command, Operation Operation, float Value) {}
	virtual void Run(FName Command, Operation Operation, float Value);
};