//Copyright Monogram (Grant & Union) 2021
#pragma once

class UMonogramCore;

class TCPMonogramThread : public FRunnable
{
public:
	static const size_t BUFFER_SIZE;
	TCPMonogramThread(UMonogramCore* parentBlueprint);
	virtual bool Init();
	virtual uint32 Run();
	virtual void Stop();
private:
	FThreadSafeCounter threadStop;
	UMonogramCore* parentClass = nullptr;
	bool stop = false;
};
