//Copyright Monogram (Grant & Union) 2021

using UnrealBuildTool;

public class MonogramEditorActions : ModuleRules
{
    public MonogramEditorActions(ReadOnlyTargetRules Target) : base(Target)
    {
        PCHUsage = ModuleRules.PCHUsageMode.UseExplicitOrSharedPCHs;

        PublicIncludePaths.AddRange(
            new string[] {
				// ... add public include paths required here ...
			}
            );


        PrivateIncludePaths.AddRange(
            new string[] {
				// ... add other private include paths required here ...
			}
            );


        PublicDependencyModuleNames.AddRange(
            new string[]
            {
                "Core",
                "SequenceRecorder",
                "SequenceRecorderSections",
                "MonogramCore"
				// ... add other public dependencies that you statically link with here ...
			}
            );


        PrivateDependencyModuleNames.AddRange(
            new string[]
            {
                "CoreUObject",
                "Engine",
                "Slate",
                "SlateCore",
                "UnrealEd",
                "Networking",
                "Sockets",
                "CinematicCamera",
                "Sequencer",
                "EditorWidgets",
                "EditorStyle",
                "SequencerWidgets",
                "TakesCore",
                "TakeRecorder"
				// ... add private dependencies that you statically link with here ...	
			}
            );


        PrivateIncludePathModuleNames.AddRange(
            new string[]
            {
                "TakesCore",
                "TakeRecorder",
                "TakeTrackRecorders",
                "MonogramCore"
            }
            );

        DynamicallyLoadedModuleNames.AddRange(
            new string[]
            {
                "PropertyEditor",
                "LevelEditor",
                "SceneOutliner",
                "WorkspaceMenuStructure",
                "MainFrame"
				// ... add any modules that your module loads dynamically here ...
			}
            );
    }
}
