//Copyright Monogram (Grant & Union) 2021
#include "Actions/TakeRecorderAction.h"
#include "Recorder/TakeRecorderBlueprintLibrary.h"
#include "Recorder/TakeRecorderPanel.h"

void UTakeRecorderAction::Handle(FName Command, Operation Operation, float Value)
{
	if (UTakeRecorderBlueprintLibrary::IsTakeRecorderEnabled())
	{
		if (Command == "start")
		{
			UTakeRecorderBlueprintLibrary::OpenTakeRecorderPanel()->StartRecording();
		}
		else if (Command == "stop")
		{
			UTakeRecorderBlueprintLibrary::OpenTakeRecorderPanel()->StopRecording();
		}
		else if (Command == "toggle")
		{
			if (UTakeRecorderBlueprintLibrary::IsRecording())
			{
				UTakeRecorderBlueprintLibrary::OpenTakeRecorderPanel()->StopRecording();
			}
			else
			{
				UTakeRecorderBlueprintLibrary::OpenTakeRecorderPanel()->StartRecording();
			}
		}
	}
}
